Subject: Re: [PATCH v7 04/11] submodule: introduce extensions.submodulePathConfig

From: Junio C Hamano <[email-masked]>
Date: Sun, 21 Dec 2025 12:27:36 +0900

Adrian Ratiu <[email-masked]> writes:

This comment is not about the primary contents of this series, but
I notice that the whitespace immediately after "errors like" is not
a SP but a HT here.

> +* Encounter errors like	`refusing to create ... in another submodule's git dir`
   123456701234567012345670

I have already alluded to it as a #leftoverbit in a different topic,
but we probably want to have a new whitespace error class to detect
a HT in the middle of a sentence that should have been a SP.

Perhaps the rule would be something like a HT that is at the column
that is at (tab-width - 1) modulo tab-width (default 8, but the
usual attribute applies), that is surrounded by non-whitespace
characters on both sides.

I may be counting off-by-one, though ;-) The quoted problematic line
has, labeling the leftmost column as 1, the HT at the 24th column.

 cf. https://lore.kernel.org/git/[email-masked]/